language-c-0.10.1: Analysis and generation of C code

Safe Haskell | None
Language | Haskell2010

Language.C.Analysis.TypeConversions

Synopsis

- arithmeticConversion :: TypeName -> TypeName -> Maybe TypeName
- floatConversion :: FloatType -> FloatType -> FloatType
- intConversion :: IntType -> IntType -> IntType

# Documentation

arithmeticConversion :: TypeName -> TypeName -> Maybe TypeName Source #

For an arithmetic operator, if the arguments are of the given types, return the type of the full expression.

floatConversion :: FloatType -> FloatType -> FloatType Source #

intConversion :: IntType -> IntType -> IntType Source #